[Python-apps-commits] r14114 - in packages/debomatic/trunk/debian (4 files)

dktrkranz at users.alioth.debian.org dktrkranz at users.alioth.debian.org
Sat Jun 24 12:22:02 UTC 2017


    Date: Saturday, June 24, 2017 @ 12:22:00
  Author: dktrkranz
Revision: 14114

Add a DEP8 test which builds a source package

Added:
  packages/debomatic/trunk/debian/tests/
  packages/debomatic/trunk/debian/tests/build
  packages/debomatic/trunk/debian/tests/control
Modified:
  packages/debomatic/trunk/debian/changelog

Modified: packages/debomatic/trunk/debian/changelog
===================================================================
--- packages/debomatic/trunk/debian/changelog	2017-06-24 12:01:06 UTC (rev 14113)
+++ packages/debomatic/trunk/debian/changelog	2017-06-24 12:22:00 UTC (rev 14114)
@@ -5,6 +5,8 @@
       ubuntu-keyring, the latter exists only in Ubuntu.
       Thanks to Axel Beckert for the report (Closes: #857145).
     - Bump Standards-Version to 4.0.0.
+  * debian/tests/build:
+    - Add a DEP8 test which builds a source package.
 
  -- Luca Falavigna <dktrkranz at debian.org>  Tue, 02 May 2017 16:52:50 +0200
 

Added: packages/debomatic/trunk/debian/tests/build
===================================================================
--- packages/debomatic/trunk/debian/tests/build	                        (rev 0)
+++ packages/debomatic/trunk/debian/tests/build	2017-06-24 12:22:00 UTC (rev 14114)
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -e
+
+cd "$ADTTMP"
+
+sed -i 's/modules: True/modules: False/' /etc/debomatic/debomatic.conf
+grep /etc/debomatic/debomatic.conf -e "modules: False" || exit 1
+
+mkdir -p $HOME/.dput.d/profiles
+cat > $HOME/.dput.d/profiles/local.json << EOF
+{
+    "meta": "debomatic",
+    "incoming": "/incoming",
+    "method": "local",
+    "check-debs": {
+        "skip": true
+    }
+}
+EOF
+
+mkdir /incoming
+version=$(rmadison -u debian -a source -s unstable hello | cut -d"|" -f 2 | xargs)
+upstream=$(echo $version | cut -d"-" -f1 | xargs)
+component=$(rmadison -u debian -a source -s unstable hello | cut -d"|" -f 3 | cut -d"/" -f2 | sed 's/unstable/main/' | xargs)
+dget -u http://deb.debian.org/debian/pool/$component/h/hello/hello_$version.dsc
+cd hello-$upstream/
+debuild -S -uc -us
+dput local ../hello_"$version"_source.changes
+debomatic -c /etc/debomatic/debomatic.conf -o /incoming/hello_"$version"_source.changes -i
+cat /incoming/unstable/pool/hello_$version/hello_$version.buildlog
+grep /incoming/unstable/pool/hello_$version/hello_$version.buildlog -e "Status: successful" || exit 1


Property changes on: packages/debomatic/trunk/debian/tests/build
___________________________________________________________________
Added: svn:executable
   + *

Added: packages/debomatic/trunk/debian/tests/control
===================================================================
--- packages/debomatic/trunk/debian/tests/control	                        (rev 0)
+++ packages/debomatic/trunk/debian/tests/control	2017-06-24 12:22:00 UTC (rev 14114)
@@ -0,0 +1,10 @@
+Tests: build
+Depends: debomatic,
+         debhelper,
+         devscripts,
+         wget,
+         liburi-perl,
+         ca-certificates,
+         debian-archive-keyring,
+         dput-ng
+Restrictions: needs-root, allow-stderr




More information about the Python-apps-commits mailing list